List Super Chat events from a channel's live streams in the previous 30 days.

## Common use cases

<iframe src="https://developers.devsite.google/frame/youtube/data/live/reference/rest/v3/superChatEvents/list_cab4c32ee7ee7789155a19ce047a0e07a7a938916f2b5180475f00cd025e0427.frame" class="framebox inherit-locale " allow="clipboard-write https://developers.devsite.google" allowfullscreen is-upgraded></iframe>

## Request

### HTTP request

```
GET https://www.googleapis.com/youtube/v3/superChatEvents
```

### Authorization

This request requires authorization with at least one of the following scopes. To read more about authentication and authorization, see [Implementing OAuth 2.0 authentication](https://developers.google.com/youtube/data/live/authentication.md.txt).

| Scope |
|---|
| `https://www.googleapis.com/auth/youtube` |
| `https://www.googleapis.com/auth/youtube.force-ssl` |
| `https://www.googleapis.com/auth/youtube.readonly` |

### Parameters

The following table lists the parameters that this query supports. All of the parameters listed are query parameters.

| Parameters ||
|---|---|---|
| **Required parameters** |||
| `part` | `string` The `part` parameter specifies the `superChatEvent` resource parts that the API response will include. Supported values are `id` and `snippet`. |
| **Optional parameters** |||
| `hl` | `string` The `hl` parameter instructs the API server to format the `snippet.displayString` property value, which shows the purchase amount and currency of a Super Chat, according to the conventions of a particular language. The parameter value must be a language code included in the list returned by the `i18nLanguages.list` method. The default value is `en`, which means that the default behavior is to format display strings as they would be used in English. For example, by default, a string is formatted as `$1.00` rather than `$1,00`. |
| `maxResults` | `unsigned integer` The `maxResults` parameter specifies the maximum number of items that should be returned in the result set. Acceptable values are `1` to `50`, inclusive. The default value is `5`. |
| `pageToken` | `string` The `pageToken` parameter identifies a specific page in the result set that should be returned. In an API response, the `nextPageToken` and `prevPageToken` properties identify other pages that could be retrieved. |

### Request body

Do not provide a request body when calling this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "youtube#superChatEventListResponse",
  "etag": etag,
  "nextPageToken": string,
  "pageInfo": {
    "totalResults": integer,
    "resultsPerPage": integer
  },
  "items": [
    superChatEvent resource
  ]
}
```

### Properties

The following table defines the properties that appear in this resource:

| Properties ||
|---|---|
| `kind` | `string` Identifies the API resource's type. The value will be `youtube#superChatEventListResponse`. |
| `etag` | `etag` The Etag of this resource. |
| `nextPageToken` | `string` The token that can be used as the value of the `pageToken` parameter to retrieve the next page in the result set. |
| `pageInfo` | `object` The `pageInfo` object encapsulates paging information for the result set. |
| `pageInfo.totalResults` | `integer` The total number of results in the result set. |
| `pageInfo.resultsPerPage` | `integer` The number of results included in the API response. |
| `items[]` | `list` A list of Super Chat purchases that match the request criteria. |

## Errors

The following table identifies error messages that the API could return in response to a call to this method. Please see the [error message](https://developers.google.com/youtube/data/live/reference/rest/v3/errors.md.txt) documentation for more detail.

| Error type | Error detail | Description |
|---|---|---|
| `forbidden (403)` | `insufficientPermissions` | The request is not properly authorized to retrieve Super Chat events. |

## Try it!

Use the APIs Explorer to call this API and see the API request and response.